﻿local BackdropColor = {0, 0, 0, 0}
local BackdropBorderColor = {0, 0, 0, 0}

--BG
leftPanel = CreateFrame("frame",nil,UIParent)
leftPanel:SetPoint("BOTTOMLEFT",UIParent,"BOTTOMLEFT",0,0)
leftPanel:SetWidth(400)
leftPanel:SetHeight(150)
leftPanel:SetFrameStrata("BACKGROUND")
leftPanel:SetFrameLevel(2)

RightPanel = CreateFrame("frame",nil,UIParent)
RightPanel:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",0,0);	
RightPanel:SetWidth(400)
RightPanel:SetHeight(150)
RightPanel:SetFrameStrata("BACKGROUND")
RightPanel:SetFrameLevel(2)

leftPanel:SetBackdrop({ bgFile = 'Interface\\ChatFrame\\ChatFrameBackground',
   insets = {left = 1,right = 1,top = 1,bottom = 1}, 
   edgeFile = 'Interface\\Buttons\\WHITE8x8', 
   edgeSize = 1,
})
leftPanel:SetBackdropColor(unpack(BackdropColor))
leftPanel:SetBackdropBorderColor(unpack(BackdropBorderColor))

RightPanel:SetBackdrop({ bgFile = 'Interface\\ChatFrame\\ChatFrameBackground',
   insets = {left = 1,right = 1,top = 1,bottom = 1}, 
   edgeFile = 'Interface\\Buttons\\WHITE8x8', 
   edgeSize = 1,
})
RightPanel:SetBackdropColor(unpack(BackdropColor))
RightPanel:SetBackdropBorderColor(unpack(BackdropBorderColor))

--[[
Bottompanel = CreateFrame("Frame",nil,RightPanel) 
Bottompanel:SetWidth(350)
Bottompanel:SetHeight(13)
Bottompanel:SetFrameStrata("BACKGROUND")
Bottompanel:SetFrameLevel(1)
Bottompanel:SetPoint("BOTTOM",UIParent,"BOTTOM", 0, 0)
Bottompanel:SetBackdrop({ 
		bgFile =  'Interface\\ChatFrame\\ChatFrameBackground',
		insets = {left = 1,right = 1,top = 1,bottom = 1}, 
		edgeFile = 'Interface\\ChatFrame\\ChatFrameBackground', edgeSize = 1,})
Bottompanel:SetBackdropColor(.2,.2,.2,.6)
Bottompanel:SetBackdropBorderColor(0,0,0)
]]

logon = function()
    FCF_SetLocked(ChatFrame1, nil)
	--FCF_SetChatWindowFontSize(self, ChatFrame1, 13) 
    ChatFrame1:ClearAllPoints()
    ChatFrame1:SetPoint("BOTTOMLEFT",leftPanel ,"BOTTOMLEFT",15,25)
	Minimap:ClearAllPoints()
    Minimap:SetPoint("BOTTOMRIGHT",RightPanel ,"BOTTOMRIGHT",-12, 28)
	Minimap:SetClampedToScreen(false)
	alDamageMeterFrame:ClearAllPoints()
    alDamageMeterFrame:SetPoint("BOTTOMRIGHT",RightPanel ,"BOTTOMRIGHT",-158, 28)
	alDamageMeterFrame:SetClampedToScreen(false)
    ChatFrame1:SetWidth(362)
    ChatFrame1:SetHeight(150)
    ChatFrame1:SetFrameLevel(8)
	for i=1, 10 do 
		  local cf = _G[format("%s%d", "ChatFrame", i)] 
		  cf:SetClampedToScreen(false) 
		  cf:SetClampRectInsets(0,0,0,0) 
	end 
    ChatFrame1:SetUserPlaced(true)
	for i=1,10 do local cf = _G["ChatFrame"..i] FCF_SetWindowAlpha(cf, 0) end
    FCF_SavePositionAndDimensions(ChatFrame1)
	FCF_SetLocked(ChatFrame1, 1)
end
local f = CreateFrame"Frame"
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", function() logon() end)

-- move func
local whisper = CreateFrame("frame",nil,UIParent)
whisper:SetPoint("BOTTOMLEFT",UIParent,"BOTTOMLEFT",30,20)
whisper:SetWidth(10)
whisper:SetHeight(10)
whisper:SetFrameStrata("HIGH")
local fs = whisper:CreateFontString(nil, "OVERLAY")--,'GameFontHighlightSmallLeft')
	fs:SetFont("Fonts\\ZYKai_T.TTF", 14, "THINOUTLINE")
	fs:SetPoint("LEFT", whisper, "LEFT",12,0)
	fs:SetText("|cff8AFF30你有新的密语~|r")
whisper:Hide()
	
local onmoveL = false
local IsChatFrameInScreen = true
function MoveOutL()			--OUT 移出去
	local nowx = 0
	local all = 2  ---all time
	local allwidth = 430
	local Updater = CreateFrame("Frame")
	Updater:SetScript("OnUpdate",function(self,elapsed)
		if nowx > -150 then
			onmoveL = true
			nowx = nowx-allwidth/(all/0.2)/8
			leftPanel:ClearAllPoints()
			leftPanel:SetPoint("BOTTOMLEFT",UIParent,"BOTTOMLEFT",nowx,nowx);	
		else
			onmoveL = false
			IsChatFrameInScreen = false
			leftPanel:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", 0, -200);	
		end
	end)
end

function MoveInL()
	whisper:Hide()
	local nowx = -150
	local all = 2  ---all time
	local allwidth = 430
	local Updater = CreateFrame("Frame")
	Updater:SetScript("OnUpdate",function(self,elapsed)
		if nowx <0 then
			onmoveL = true
			nowx = nowx+allwidth/(all/0.2)/8
			leftPanel:ClearAllPoints()
			leftPanel:SetPoint("BOTTOMLEFT",UIParent,"BOTTOMLEFT",nowx,nowx);	
		else
			IsChatFrameInScreen = true
			onmoveL = false
			leftPanel:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", 0, 0);	
		end
	end)
	ChatFrame1:SetFrameLevel(8)
end

--
local function CheckWhisperWindows(self, event)
		local chat = self:GetName()
		if chat == "ChatFrame1" and not IsChatFrameInScreen then
			if event == "CHAT_MSG_WHISPER" or event == "CHAT_MSG_BN_WHISPER" then
				whisper:Show()
			end
		end	
end
ChatFrame_AddMessageEventFilter("CHAT_MSG_WHISPER", CheckWhisperWindows)	
ChatFrame_AddMessageEventFilter("CHAT_MSG_BN_WHISPER", CheckWhisperWindows)
	
local onmoveR = false
function MoveOutR()
	local nowx = 0
	local all = 2  ---all time
	local allwidth = 430
	local Updater = CreateFrame("Frame")
	Updater:SetScript("OnUpdate",function(self,elapsed)
			if nowx > -150 then
			onmoveR = true
			nowx = nowx-allwidth/(all/0.2)/8
			RightPanel:ClearAllPoints()
			RightPanel:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",-nowx,nowx);	
		else
			onmoveR = false
			RightPanel:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",450,0);	
	end
	end)
end

function MoveInR()
	Minimap:Show()
	local nowx =-150
	local all = 2  ---all time
	local allwidth = 430
	local Updater = CreateFrame("Frame")
	Updater:SetScript("OnUpdate",function(self,elapsed)
		if nowx <0 then
			onmoveR = true
			nowx = nowx+allwidth/(all/0.2)/8
			RightPanel:ClearAllPoints()
			RightPanel:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",-nowx,nowx);	
		else
			onmoveR = false
			RightPanel:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT",0,0);	
		end	
	end)
end

local mptL_visible = true
mpLtoggle = function()
	if not onmoveL then
		if mptL_visible  then
			MoveOutL()
			mptL_visible = false
		else
			MoveInL()
			mptL_visible = true
		end
	end	
end

local mptR_visible = true
mpRtoggle = function()
	if not onmoveR then
		if mptR_visible then
			MoveOutR()
			UIFrameFadeOut(Minimap, .5, 1, 0)
			mptR_visible = false
		else
			MoveInR()
			UIFrameFadeIn(Minimap, 1, 0, 1)
			mptR_visible = true
		end
	end
end

-- click button
local leftPanel_click = CreateFrame("Frame",nil,leftPanel) 
    leftPanel_click:SetWidth(5)
	leftPanel_click:SetHeight(5)
	leftPanel_click:SetFrameStrata("BACKGROUND")
	leftPanel_click:SetFrameLevel(2)
	leftPanel_click:SetPoint("BOTTOMLEFT",UIParent,"BOTTOMLEFT", 0, 0)
	leftPanel_click:SetBackdrop({ 
	bgFile =  'Interface\\ChatFrame\\ChatFrameBackground',
	insets = {left = 1,right = 1,top = 1,bottom = 1}, 
	edgeFile = 'Interface\\ChatFrame\\ChatFrameBackground', edgeSize = 1,})
	leftPanel_click:SetBackdropColor(unpack(BackdropColor))
	leftPanel_click:SetBackdropBorderColor(unpack(BackdropBorderColor))
	leftPanel_click:SetScript("OnEnter",function(self)
			mpLtoggle()
	end)
	
local RightPanel_click = CreateFrame("Frame",nil,RightPanel) 
RightPanel_click:SetWidth(5)
RightPanel_click:SetHeight(5)
RightPanel_click:SetFrameStrata("BACKGROUND")
RightPanel_click:SetFrameLevel(2)
RightPanel_click:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT", 0, 0)
RightPanel_click:SetBackdrop({ 
		bgFile =  'Interface\\ChatFrame\\ChatFrameBackground',
		insets = {left = 1,right = 1,top = 1,bottom = 1}, 
		edgeFile = 'Interface\\ChatFrame\\ChatFrameBackground', edgeSize = 1,})
RightPanel_click:SetBackdropColor(unpack(BackdropColor))
RightPanel_click:SetBackdropBorderColor(unpack(BackdropBorderColor))
RightPanel_click:SetScript("OnEnter",function(self)
		mpRtoggle()
end)

local RightP = CreateFrame("Frame",nil,RightPanel) 
RightP:SetWidth(1)
RightP:SetHeight(300)
RightP:SetFrameStrata("BACKGROUND")
RightP:SetFrameLevel(2)
RightP:SetPoint("RIGHT",UIParent,"RIGHT", 0, 0)
RightP:SetBackdrop({ 
		bgFile =  'Interface\\ChatFrame\\ChatFrameBackground',
		insets = {left = 1,right = 1,top = 1,bottom = 1}, 
		edgeFile = 'Interface\\ChatFrame\\ChatFrameBackground', edgeSize = 1,})
RightP:SetBackdropColor(unpack(BackdropColor))
RightP:SetBackdropBorderColor(unpack(BackdropBorderColor))
RightP:SetScript("OnEnter",function(self)
		m_ActionBars_Toggle_Extra_Bars()
end)

 
-- fix 4.2 bug
function EncounterJournal_Loot_OnUpdate(self)
   if GameTooltip:IsOwned(self) then
      if IsModifiedClick("COMPAREITEMS") or
             (GetCVarBool("alwaysCompareItems") and not GameTooltip:IsEquippedItem()) then
         GameTooltip_ShowCompareItem();
      else
         ShoppingTooltip1:Hide();
         ShoppingTooltip2:Hide();
         ShoppingTooltip3:Hide();
      end

      if IsModifiedClick("DRESSUP") then
         ShowInspectCursor();
      else
         ResetCursor();
      end
   end
end 

--show mp ap
--[[if GetUnitName("player") == "五葉" then
		local statu = CreateFrame("frame",nil,UIParent)
		statu:SetPoint("BOTTOM",Bottompanel,"BOTTOM",-30,1)
		statu:SetWidth(10)
		statu:SetHeight(10)
		statu:SetFrameStrata("HIGH")
		local fs =statu:CreateFontString(nil, "OVERLAY")--,'GameFontHighlightSmallLeft')
		fs:SetFont("Interface\\addons\\BottomPanels\\font.ttf", 8, "THINOUTLINE")
		fs:SetPoint("LEFT", statu, "LEFT",0,0)
		
		local function showmyap()
			local base, posBuff, negBuff = UnitAttackPower("player");
			local effective = base + posBuff + negBuff;
				fs:SetText("|cff47BBFF" ..effective.." ap")
		end
	
		local status = CreateFrame"Frame"
		status:RegisterEvent("PLAYER_ENTERING_WORLD")
		status:RegisterEvent("UNIT_AURA")
		status:RegisterEvent("PLAYER_EQUIPMENT_CHANGED")
		status:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
		status:RegisterEvent("PLAYER_TALENT_UPDATE")
		status:RegisterEvent("UPDATE_SHAPESHIFT_FORM")
		status:RegisterEvent("PLAYER_REGEN_DISABLED")
		status:RegisterEvent("PLAYER_REGEN_ENABLED")
		status:RegisterEvent("ADDON_LOADED")
		status:SetScript("OnEvent", function() showmyap() end)
end]]