local addon, ns = ...
local cfg = ns.cfg
if not IsAddOnLoaded("TinyDPS") then return end
-- TinyDPS editless skin, by Dajova
local TinyDPS = CreateFrame("Frame")
local backdrop={
		bgFile = "Interface\\Buttons\\WHITE8x8",
		edgeFile = "Interface\\Buttons\\WHITE8x8",
		tile = false, tileSize = 0, edgeSize = 1, 
		insets = { left = -1, right = -1, top = -1, bottom = -1}
	}
local function gen_backdrop(ds)
	if ds then
		ds:SetBackdrop(backdrop)
		ds:SetBackdropColor(.1,.1,.1,1)
		ds:SetBackdropBorderColor(0,0,0,1)
	end
end
TinyDPS:RegisterEvent("ADDON_LOADED")
TinyDPS:RegisterEvent("PLAYER_LOGIN")
TinyDPS:SetScript("OnEvent", function(self, event, addon)
    if not addon == "TinyDPS" then return end

    tdps.width = 160
    tdps.barHeight = 13
	tdps.anchor = "TOPLEFT"
	tdps.tooltipSpells = 5
	tdps.tooltipTargets = 5
    tdpsFont.name = "Fonts\\FRIZQT__.ttf"
	tdpsFont.outline = "NONE"
	tdpsFont.shadow = 1
	tdpsPosition = {["x"] = -328, ["y"] = 167}
	tdpsVisibleBars = 9
	
    tdpsFrame:SetHeight(tdps.barHeight + 4)
	gen_backdrop(tdpsFrame)
	
    tdpsAnchor:ClearAllPoints()
	tdpsAnchor:SetPoint('CENTER', 'UIParent', 'BOTTOMRIGHT', tdpsPosition.x, tdpsPosition.y)

	-- tdpsStatusBar = _G["tdpsStatusBar"]
    -- if tdpsStatusBar then
        -- tdpsStatusBar:SetBackdrop({bgFile = [[Interface\TargetingFrame\UI-StatusBar.blp]], edgeFile = [[Interface\Buttons\WHITE8x8]], tile = false, tileSize = 1, edgeSize = 1, insets = { left = 0, right = 0, top = 0, bottom = 0}})
        -- tdpsStatusBar:SetStatusBarTexture([[Interface\TargetingFrame\UI-StatusBar.blp]])
    -- end

    self:UnregisterEvent("ADDON_LOADED")
end)